> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revolv3.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Subscriptions By PAN

> Searches for and returns **subscriptions associated with a specific PAN (Primary Account Number)** — the full card number.
This endpoint is useful for backend support or migration scenarios where subscriptions need to be located based on card information, especially across multiple customer profiles.

You must be PCI-compliant to use this endpoint, as it involves sensitive payment identifiers.
Use with caution and ensure appropriate access control is in place.



## OpenAPI

````yaml /api-reference/swagger.json post /api/Subscriptions/pan-lookup
openapi: 3.0.4
info:
  title: Revolv3 OpenApi Spec
  description: Spec for Revolv3
  version: 1.29.1
servers:
  - url: 'https://api-sandbox.revolv3.com '
security: []
paths:
  /api/Subscriptions/pan-lookup:
    post:
      tags:
        - Subscriptions
      summary: Get Subscriptions By PAN
      description: "Searches for and returns **subscriptions associated with a specific PAN (Primary Account Number)** — the full card number.\r\nThis endpoint is useful for backend support or migration scenarios where subscriptions need to be located based on card information, especially across multiple customer profiles.\r\n\r\nYou must be PCI-compliant to use this endpoint, as it involves sensitive payment identifiers.\r\nUse with caution and ensure appropriate access control is in place."
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/GetSubscriptionsByPANRequestDTO'
            example:
              paymentAccountNumber: '4111111111111111'
          application/json:
            schema:
              $ref: '#/components/schemas/GetSubscriptionsByPANRequestDTO'
            example:
              paymentAccountNumber: '4111111111111111'
          text/json:
            schema:
              $ref: '#/components/schemas/GetSubscriptionsByPANRequestDTO'
            example:
              paymentAccountNumber: '4111111111111111'
          application/*+json:
            schema:
              $ref: '#/components/schemas/GetSubscriptionsByPANRequestDTO'
            example:
              paymentAccountNumber: '4111111111111111'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SubscriptionDTO'
              example:
                - subscriptionId: 1
                  customerId: 3
                  merchantSubscriptionRefId: null
                  networkTransactionId: null
                  billingIntervalType: Days
                  billingIntervalCount: 1
                  subscriptionStatusType: current
                  subscriptionCancelType: null
                  initialBillDate: 22-Jun-26
                  nextBillDate: 23-Jun-26
                  taxAddress:
                    addressId: 0
                    addressLine1: 101 Update Street
                    addressLine2: null
                    city: Irvine
                    state: CA
                    postalCode: '92602'
                    phoneNumber: null
                    email: null
                    country: US
                  paymentMethodIds:
                    - 1
                  cancelledAt: null
                  billingPlans:
                    - subscriptionBillingPlanId: 1
                      subscriptionId: 0
                      name: Billing Plan 1
                      value: 10.99
                      startDate: 22-Jun-26
                      cyclesRemaining: -1
                      cycleCount: 0
                      valueType: Standard
                    - subscriptionBillingPlanId: 2
                      subscriptionId: 0
                      name: Billing Plan 2
                      value: 14.99
                      startDate: 22-Jun-26
                      cyclesRemaining: 12
                      cycleCount: 0
                      valueType: Standard
                  message: null
                  paymentProcessor: null
                  processorMerchantId: null
                  processorRawResponse: null
                  currency: null
                  responseMessage: null
                  responseCode: null
                - subscriptionId: 2
                  customerId: 3
                  merchantSubscriptionRefId: null
                  networkTransactionId: null
                  billingIntervalType: Months
                  billingIntervalCount: 1
                  subscriptionStatusType: recycled
                  subscriptionCancelType: null
                  initialBillDate: 22-Jun-26
                  nextBillDate: 23-Jun-26
                  taxAddress: null
                  paymentMethodIds: null
                  cancelledAt: null
                  billingPlans: null
                  message: null
                  paymentProcessor: null
                  processorMerchantId: null
                  processorRawResponse: null
                  currency: null
                  responseMessage: null
                  responseCode: null
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SubscriptionDTO'
              example:
                - subscriptionId: 1
                  customerId: 3
                  merchantSubscriptionRefId: null
                  networkTransactionId: null
                  billingIntervalType: Days
                  billingIntervalCount: 1
                  subscriptionStatusType: current
                  subscriptionCancelType: null
                  initialBillDate: 22-Jun-26
                  nextBillDate: 23-Jun-26
                  taxAddress:
                    addressId: 0
                    addressLine1: 101 Update Street
                    addressLine2: null
                    city: Irvine
                    state: CA
                    postalCode: '92602'
                    phoneNumber: null
                    email: null
                    country: US
                  paymentMethodIds:
                    - 1
                  cancelledAt: null
                  billingPlans:
                    - subscriptionBillingPlanId: 1
                      subscriptionId: 0
                      name: Billing Plan 1
                      value: 10.99
                      startDate: 22-Jun-26
                      cyclesRemaining: -1
                      cycleCount: 0
                      valueType: Standard
                    - subscriptionBillingPlanId: 2
                      subscriptionId: 0
                      name: Billing Plan 2
                      value: 14.99
                      startDate: 22-Jun-26
                      cyclesRemaining: 12
                      cycleCount: 0
                      valueType: Standard
                  message: null
                  paymentProcessor: null
                  processorMerchantId: null
                  processorRawResponse: null
                  currency: null
                  responseMessage: null
                  responseCode: null
                - subscriptionId: 2
                  customerId: 3
                  merchantSubscriptionRefId: null
                  networkTransactionId: null
                  billingIntervalType: Months
                  billingIntervalCount: 1
                  subscriptionStatusType: recycled
                  subscriptionCancelType: null
                  initialBillDate: 22-Jun-26
                  nextBillDate: 23-Jun-26
                  taxAddress: null
                  paymentMethodIds: null
                  cancelledAt: null
                  billingPlans: null
                  message: null
                  paymentProcessor: null
                  processorMerchantId: null
                  processorRawResponse: null
                  currency: null
                  responseMessage: null
                  responseCode: null
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SubscriptionDTO'
              example:
                - subscriptionId: 1
                  customerId: 3
                  merchantSubscriptionRefId: null
                  networkTransactionId: null
                  billingIntervalType: Days
                  billingIntervalCount: 1
                  subscriptionStatusType: current
                  subscriptionCancelType: null
                  initialBillDate: 22-Jun-26
                  nextBillDate: 23-Jun-26
                  taxAddress:
                    addressId: 0
                    addressLine1: 101 Update Street
                    addressLine2: null
                    city: Irvine
                    state: CA
                    postalCode: '92602'
                    phoneNumber: null
                    email: null
                    country: US
                  paymentMethodIds:
                    - 1
                  cancelledAt: null
                  billingPlans:
                    - subscriptionBillingPlanId: 1
                      subscriptionId: 0
                      name: Billing Plan 1
                      value: 10.99
                      startDate: 22-Jun-26
                      cyclesRemaining: -1
                      cycleCount: 0
                      valueType: Standard
                    - subscriptionBillingPlanId: 2
                      subscriptionId: 0
                      name: Billing Plan 2
                      value: 14.99
                      startDate: 22-Jun-26
                      cyclesRemaining: 12
                      cycleCount: 0
                      valueType: Standard
                  message: null
                  paymentProcessor: null
                  processorMerchantId: null
                  processorRawResponse: null
                  currency: null
                  responseMessage: null
                  responseCode: null
                - subscriptionId: 2
                  customerId: 3
                  merchantSubscriptionRefId: null
                  networkTransactionId: null
                  billingIntervalType: Months
                  billingIntervalCount: 1
                  subscriptionStatusType: recycled
                  subscriptionCancelType: null
                  initialBillDate: 22-Jun-26
                  nextBillDate: 23-Jun-26
                  taxAddress: null
                  paymentMethodIds: null
                  cancelledAt: null
                  billingPlans: null
                  message: null
                  paymentProcessor: null
                  processorMerchantId: null
                  processorRawResponse: null
                  currency: null
                  responseMessage: null
                  responseCode: null
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Unable to perform the request action with provided data.
            application/json:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Unable to perform the request action with provided data.
            text/json:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Unable to perform the request action with provided data.
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Attempted to perform an unauthorized operation.
            application/json:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Attempted to perform an unauthorized operation.
            text/json:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Attempted to perform an unauthorized operation.
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Unable to find an entity with the provided data.
            application/json:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Unable to find an entity with the provided data.
            text/json:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Unable to find an entity with the provided data.
      security:
        - Bearer: []
components:
  schemas:
    GetSubscriptionsByPANRequestDTO:
      required:
        - paymentAccountNumber
      type: object
      properties:
        paymentAccountNumber:
          maxLength: 19
          minLength: 8
          pattern: ^\d{8,19}$
          type: string
      additionalProperties: false
    SubscriptionDTO:
      type: object
      properties:
        subscriptionId:
          maximum: 1000000000
          minimum: 1
          type: integer
          format: int64
        customerId:
          maximum: 1000000000
          minimum: 1
          type: integer
          format: int64
        merchantSubscriptionRefId:
          maxLength: 100
          minLength: 0
          type: string
          nullable: true
        networkTransactionId:
          maxLength: 100
          minLength: 0
          type: string
          nullable: true
        billingIntervalType:
          maxLength: 50
          minLength: 0
          type: string
          nullable: true
        billingIntervalCount:
          maximum: 1000000000
          minimum: 1
          type: integer
          format: int32
        subscriptionStatusType:
          maxLength: 50
          minLength: 0
          type: string
          nullable: true
        subscriptionCancelType:
          maxLength: 50
          minLength: 0
          type: string
          nullable: true
        initialBillDate:
          maxLength: 20
          minLength: 0
          type: string
          nullable: true
        nextBillDate:
          maxLength: 20
          minLength: 0
          type: string
          nullable: true
        taxAddress:
          $ref: '#/components/schemas/AddressDTO'
        paymentMethodIds:
          type: array
          items:
            type: integer
            format: int64
          nullable: true
        cancelledAt:
          maxLength: 40
          type: string
          format: date-time
          nullable: true
        billingPlans:
          type: array
          items:
            $ref: '#/components/schemas/SubscriptionBillingPlanDTO'
          nullable: true
        message:
          maxLength: 500
          minLength: 0
          type: string
          nullable: true
        paymentProcessor:
          maxLength: 100
          minLength: 0
          type: string
          nullable: true
        processorMerchantId:
          maxLength: 100
          minLength: 0
          type: string
          nullable: true
        processorRawResponse:
          maxLength: 10000
          minLength: 0
          type: string
          nullable: true
        currency:
          maxLength: 3
          minLength: 0
          type: string
          nullable: true
        responseMessage:
          maxLength: 500
          minLength: 0
          type: string
          nullable: true
        responseCode:
          maxLength: 10
          minLength: 0
          type: string
          nullable: true
      additionalProperties: false
    StatusMessageResponse:
      type: object
      properties:
        message:
          type: string
          nullable: true
        errors:
          type: array
          items:
            type: string
          nullable: true
        fluentValidatorErrors:
          type: array
          items:
            $ref: '#/components/schemas/ValidationFailure'
          nullable: true
      additionalProperties: false
    AddressDTO:
      type: object
      properties:
        addressId:
          type: integer
          description: The unique identifier of the address.
          format: int64
        addressLine1:
          maxLength: 40
          minLength: 2
          type: string
          description: Address.
          nullable: true
        addressLine2:
          maxLength: 40
          minLength: 0
          type: string
          description: Supplemental information for the address.
        city:
          maxLength: 25
          minLength: 2
          type: string
          description: City.
          nullable: true
        state:
          maxLength: 2
          minLength: 2
          type: string
          description: Two-letter state abbreviation.
          nullable: true
        postalCode:
          maxLength: 20
          minLength: 2
          type: string
          description: Postal Code.
          nullable: true
        phoneNumber:
          maxLength: 20
          minLength: 0
          type: string
          description: >-
            The phone number associated with a payment method that is used for
            billing purposes.
        email:
          maxLength: 100
          minLength: 0
          type: string
          description: The email associated with a billing address.
          format: email
        country:
          maxLength: 2
          minLength: 2
          type: string
          description: Country.
          nullable: true
      additionalProperties: false
    SubscriptionBillingPlanDTO:
      type: object
      properties:
        subscriptionBillingPlanId:
          maximum: 1000000000
          minimum: 1
          type: integer
          format: int64
        subscriptionId:
          maximum: 1000000000
          minimum: 1
          type: integer
          format: int64
        name:
          maxLength: 100
          minLength: 0
          type: string
          nullable: true
        value:
          maximum: 10000000
          minimum: 0
          type: number
          format: double
        startDate:
          maxLength: 20
          minLength: 0
          type: string
          nullable: true
        cyclesRemaining:
          maximum: 1000000000
          minimum: 0
          type: integer
          format: int32
        cycleCount:
          maximum: 100
          minimum: -1
          type: integer
          format: int32
        valueType:
          maxLength: 50
          minLength: 0
          type: string
          nullable: true
      additionalProperties: false
    ValidationFailure:
      type: object
      properties:
        propertyName:
          type: string
          nullable: true
        errorMessage:
          type: string
          nullable: true
        attemptedValue:
          nullable: true
        customState:
          nullable: true
        severity:
          $ref: '#/components/schemas/Severity'
        errorCode:
          type: string
          nullable: true
        formattedMessagePlaceholderValues:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
      additionalProperties: false
    Severity:
      enum:
        - Error
        - Warning
        - Info
      type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````